### Hierarchy

- MessageDecrypt
  - KeyPairHelper

## Index

### Methods

- decryptFields
- decryptMessage

## Methods

### decryptFields

- decryptFields(fields: Map<string, string>): Promise<Map<string, string>>

- - Defined in utils/keypair/MessageDecrypt.ts:5

  #### Parameters

  - ##### fields: Map<string, string>

  #### Returns Promise<Map<string, string>>

### decryptMessage

- decryptMessage(senderPk: string, encrypted: string): Promise<string>

- - Defined in utils/keypair/MessageDecrypt.ts:3

  #### Parameters

  - ##### senderPk: string

  - ##### encrypted: string

  #### Returns Promise<string>

Generated using TypeDoc